# Generated by Django 3.2.14 on 2022-07-31 20:18

from django.db import migrations, models
import django.db.models.deletion
import wagtail.core.blocks
import wagtail.core.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0066_collection_management_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='LandingPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('name', models.TextField()),
                ('abstract', models.TextField(blank=True)),
                ('image', models.TextField(blank=True)),
                ('links', wagtail.core.fields.StreamField([('link', wagtail.core.blocks.TextBlock(form_classname='full title'))], blank=True, null=True)),
                ('services_title', models.TextField(blank=True)),
                ('services_link', models.TextField(blank=True)),
                ('services', wagtail.core.fields.StreamField([('service', wagtail.core.blocks.StructBlock([('icon', wagtail.core.blocks.TextBlock()), ('name', wagtail.core.blocks.CharBlock(max_length=255)), ('abstract', wagtail.core.blocks.TextBlock())]))], blank=True, null=True)),
                ('company_title', models.TextField(blank=True)),
                ('company_subtitle', models.TextField(blank=True)),
                ('company_abstract', models.TextField(blank=True)),
                ('company_image', models.TextField(blank=True)),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
    ]
